extends State
class_name SnailSleeping

@onready var snail = get_parent().get_parent() as Snail # I think this is bad but I dont care it works

func enter(_msg := {}):
	Log.pr("I am a snail asleep...")

func exit(): 
	pass
	
func update(_delta : float):
	pass

func physics_update(_delta : float) -> void:
	pass

